CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  Take a third party risk management course for FREE
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Security Vulnerabilities

Press ESC to close
# CVE ID CWE ID # of Exploits Vulnerability Type(s) Publish Date Update Date Score Gained Access Level Access Complexity Authentication Conf. Integ. Avail.
1 CVE-2022-41340 2022-09-24 2022-09-24
0.0
None ??? ??? ??? ??? ??? ???
The secp256k1-js package before 1.1.0 for Node.js implements ECDSA without required r and s validation, leading to signature forgery.
2 CVE-2022-41322 Exec Code 2022-09-23 2022-09-23
0.0
None ??? ??? ??? ??? ??? ???
In Kitty before 0.26.2, insufficient validation in the desktop notification escape sequence can lead to arbitrary code execution. The user must display attacker-controlled content in the terminal, then click on a notification popup.
3 CVE-2022-41320 2022-09-23 2022-09-23
0.0
None ??? ??? ??? ??? ??? ???
Veritas System Recovery (VSR) versions 18 and 21 store a network destination password in the Windows registry during configuration of the backup configuration. This vulnerability could provide a Windows user (who has sufficient privileges) to access a network file system that they were not authorized to access.
4 CVE-2022-41319 79 XSS 2022-09-23 2022-09-23
0.0
None ??? ??? ??? ??? ??? ???
A Reflected Cross-Site Scripting (XSS) vulnerability affects the Veritas Desktop Laptop Option (DLO) application login page (aka the DLOServer/restore/login.jsp URI). This affects versions before 9.8 (e.g., 9.1 through 9.7).
5 CVE-2022-41255 256 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
Jenkins CONS3RT Plugin 1.0.0 and earlier stores Cons3rt API token unencrypted in job config.xml files on the Jenkins controller where it can be viewed by users with access to the Jenkins controller file system.
6 CVE-2022-41254 862 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
Missing permission checks in Jenkins CONS3RT Plugin 1.0.0 and earlier allow attackers with Overall/Read permission to connect to an attacker-specified HTTP server using attacker-specified credentials IDs obtained through another method, capturing credentials stored in Jenkins.
7 CVE-2022-41253 352 CSRF 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
A cross-site request forgery (CSRF) vulnerability in Jenkins CONS3RT Plugin 1.0.0 and earlier allows attackers to connect to an attacker-specified HTTP server using attacker-specified credentials IDs obtained through another method, capturing credentials stored in Jenkins.
8 CVE-2022-41252 862 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
Missing permission checks in Jenkins CONS3RT Plugin 1.0.0 and earlier allows users with Overall/Read permission to enumerate credentials ID of credentials stored in Jenkins.
9 CVE-2022-41251 862 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
A missing permission check in Jenkins Apprenda Plugin 2.2.0 and earlier allows users with Overall/Read permission to enumerate credentials IDs of credentials stored in Jenkins.
10 CVE-2022-41250 862 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
A missing permission check in Jenkins SCM HttpClient Plugin 1.5 and earlier allows attackers with Overall/Read permission to connect to an attacker-specified HTTP server using attacker-specified credentials IDs obtained through another method, capturing credentials stored in Jenkins.
11 CVE-2022-41249 352 CSRF 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
A cross-site request forgery (CSRF) vulnerability in Jenkins SCM HttpClient Plugin 1.5 and earlier allows attackers to connect to an attacker-specified HTTP server using attacker-specified credentials IDs obtained through another method, capturing credentials stored in Jenkins.
12 CVE-2022-41248 549 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
Jenkins BigPanda Notifier Plugin 1.4.0 and earlier does not mask the BigPanda API key on the global configuration form, increasing the potential for attackers to observe and capture it.
13 CVE-2022-41247 522 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
Jenkins BigPanda Notifier Plugin 1.4.0 and earlier stores the BigPanda API key unencrypted in its global configuration file on the Jenkins controller where they can be viewed by users with access to the Jenkins controller file system.
14 CVE-2022-41246 862 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
A missing permission check in Jenkins Worksoft Execution Manager Plugin 10.0.3.503 and earlier allows attackers with Overall/Read permission to connect to an attacker-specified URL using attacker-specified credentials IDs obtained through another method, capturing credentials stored in Jenkins.
15 CVE-2022-41245 352 CSRF 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
A cross-site request forgery (CSRF) vulnerability in Jenkins Worksoft Execution Manager Plugin 10.0.3.503 and earlier allows attackers to connect to an attacker-specified URL using attacker-specified credentials IDs obtained through another method, capturing credentials stored in Jenkins.
16 CVE-2022-41244 297 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
Jenkins View26 Test-Reporting Plugin 1.0.7 and earlier does not perform hostname validation when connecting to the configured View26 server that could be abused using a man-in-the-middle attack to intercept these connections.
17 CVE-2022-41243 297 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
Jenkins SmallTest Plugin 1.0.4 and earlier does not perform hostname validation when connecting to the configured View26 server that could be abused using a man-in-the-middle attack to intercept these connections.
18 CVE-2022-41242 862 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
A missing permission check in Jenkins extreme-feedback Plugin 1.7 and earlier allows attackers with Overall/Read permission to discover information about job names attached to lamps, discover MAC and IP addresses of existing lamps, and rename lamps.
19 CVE-2022-41241 611 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
Jenkins RQM Plugin 2.8 and earlier does not configure its XML parser to prevent XML external entity (XXE) attacks.
20 CVE-2022-41240 79 XSS 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
Jenkins Walti Plugin 1.0.1 and earlier does not escape the information provided by the Walti API, resulting in a stored cross-site scripting (XSS) vulnerability exploitable by attackers able to provide malicious API responses from Walti.
21 CVE-2022-41239 79 XSS 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
Jenkins DotCi Plugin 2.40.00 and earlier does not escape the GitHub user name parameter provided to commit notifications when displaying them in a build cause, resulting in a stored cross-site scripting (XSS) vulnerability.
22 CVE-2022-41238 862 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
A missing permission check in Jenkins DotCi Plugin 2.40.00 and earlier allows unauthenticated attackers to trigger builds of jobs corresponding to the attacker-specified repository for attacker-specified commits.
23 CVE-2022-41237 502 Exec Code 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
Jenkins DotCi Plugin 2.40.00 and earlier does not configure its YAML parser to prevent the instantiation of arbitrary types, resulting in a remote code execution vulnerability.
24 CVE-2022-41236 352 CSRF 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
A cross-site request forgery (CSRF) vulnerability in Jenkins Security Inspector Plugin 117.v6eecc36919c2 and earlier allows attackers to replace the generated report stored in a per-session cache and displayed to authorized users at the .../report URL with a report based on attacker-specified report generation options.
25 CVE-2022-41235 22 Dir. Trav. 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
Jenkins WildFly Deployer Plugin 1.0.2 and earlier implements functionality that allows agent processes to read arbitrary files on the Jenkins controller file system.
26 CVE-2022-41234 862 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
Jenkins Rundeck Plugin 3.6.11 and earlier does not protect access to the /plugin/rundeck/webhook/ endpoint, allowing users with Overall/Read permission to trigger jobs that are configured to be triggerable via Rundeck.
27 CVE-2022-41233 862 +Info 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
Jenkins Rundeck Plugin 3.6.11 and earlier does not perform Run/Artifacts permission checks in multiple HTTP endpoints, allowing attackers with Item/Read permission to obtain information about build artifacts of a given job, if the optional Run/Artifacts permission is enabled.
28 CVE-2022-41232 352 CSRF 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
A cross-site request forgery (CSRF) vulnerability in Jenkins Build-Publisher Plugin 1.22 and earlier allows attackers to replace any config.xml file on the Jenkins controller file system with an empty file by providing a crafted file name to an API endpoint.
29 CVE-2022-41231 22 Dir. Trav. 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
Jenkins Build-Publisher Plugin 1.22 and earlier allows attackers with Item/Configure permission to create or replace any config.xml file on the Jenkins controller file system by providing a crafted file name to an API endpoint.
30 CVE-2022-41230 863 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
Jenkins Build-Publisher Plugin 1.22 and earlier does not perform a permission check in an HTTP endpoint, allowing attackers with Overall/Read permission to obtain names and URLs of Jenkins servers that the plugin is configured to publish builds to, as well as builds pending for publication to those Jenkins servers.
31 CVE-2022-41229 79 XSS 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
Jenkins NS-ND Integration Performance Publisher Plugin 4.8.0.134 and earlier does not escape configuration options of the Execute NetStorm/NetCloud Test build step, resulting in a stored cross-site scripting (XSS) vulnerability exploitable by attackers with Item/Configure permission.
32 CVE-2022-41228 862 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
A missing permission check in Jenkins NS-ND Integration Performance Publisher Plugin 4.8.0.129 and earlier allows attackers with Overall/Read permissions to connect to an attacker-specified webserver using attacker-specified credentials.
33 CVE-2022-41227 352 CSRF 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
A cross-site request forgery (CSRF) vulnerability in Jenkins NS-ND Integration Performance Publisher Plugin 4.8.0.129 and earlier allows attackers to connect to an attacker-specified webserver using attacker-specified credentials.
34 CVE-2022-41226 611 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
Jenkins Compuware Common Configuration Plugin 1.0.14 and earlier does not configure its XML parser to prevent XML external entity (XXE) attacks.
35 CVE-2022-41225 79 XSS 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
Jenkins Anchore Container Image Scanner Plugin 1.0.24 and earlier does not escape content provided by the Anchore engine API, resulting in a stored cross-site scripting (XSS) vulnerability exploitable by attackers able to control API responses by Anchore engine.
36 CVE-2022-41224 79 XSS 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
Jenkins 2.367 through 2.369 (both inclusive) does not escape tooltips of the l:helpIcon UI component used for some help icons on the Jenkins web UI, resulting in a stored cross-site scripting (XSS) vulnerability exploitable by attackers able to control tooltips for this component.
37 CVE-2022-41222 416 2022-09-21 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
mm/mremap.c in the Linux kernel before 5.13.3 has a use-after-free via a stale TLB because an rmap lock is not held during a PUD move.
38 CVE-2022-41220 787 Overflow 2022-09-21 2022-09-23
0.0
None ??? ??? ??? ??? ??? ???
** DISPUTED ** md2roff 1.9 has a stack-based buffer overflow via a Markdown file, a different vulnerability than CVE-2022-34913. NOTE: the vendor's position is that the product is not intended for untrusted input.
39 CVE-2022-41218 416 2022-09-21 2022-09-24
0.0
None ??? ??? ??? ??? ??? ???
In drivers/media/dvb-core/dmxdev.c in the Linux kernel through 5.19.10, there is a use-after-free caused by refcount races, affecting dvb_demux_open and dvb_dmxdev_release.
40 CVE-2022-41138 Exec Code 2022-09-20 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
In Zutty before 0.13, DECRQSS in text written to the terminal can achieve arbitrary code execution.
41 CVE-2022-40980 2022-09-19 2022-09-21
0.0
None ??? ??? ??? ??? ??? ???
A potential unathenticated file deletion vulnerabilty on Trend Micro Mobile Security for Enterprise 9.8 SP5 could allow an attacker with access to the Management Server to delete files. This issue was resolved in 9.8 SP5 Critical Patch 2.
42 CVE-2022-40979 2022-09-23 2022-09-23
0.0
None ??? ??? ??? ??? ??? ???
In JetBrains TeamCity before 2022.04.4 environmental variables of "password" type could be logged when using custom Perforce executable
43 CVE-2022-40978 427 2022-09-19 2022-09-21
0.0
None ??? ??? ??? ??? ??? ???
The installer of JetBrains IntelliJ IDEA before 2022.2.2 was vulnerable to EXE search order hijacking
44 CVE-2022-40955 502 Exec Code 2022-09-20 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
In versions of Apache InLong prior to 1.3.0, an attacker with sufficient privileges to specify MySQL JDBC connection URL parameters and to write arbitrary data to the MySQL database, could cause this data to be deserialized by Apache InLong, potentially leading to Remote Code Execution on the Apache InLong server. Users are advised to upgrade to Apache InLong 1.3.0 or newer.
45 CVE-2022-40935 89 Sql 2022-09-22 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
Online Pet Shop We App v1.0 is vulnerable to SQL Injection via /pet_shop/classes/Master.php?f=delete_category,id.
46 CVE-2022-40934 89 Sql 2022-09-22 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
Online Pet Shop We App v1.0 is vulnerable to SQL injection via /pet_shop/classes/Master.php?f=delete_sub_category,id
47 CVE-2022-40933 89 Sql 2022-09-22 2022-09-22
0.0
None ??? ??? ??? ??? ??? ???
Online Pet Shop We App v1.0 by oretnom23 is vulnerable to SQL injection via /pet_shop/classes/Master.php?f=delete_order,id.
48 CVE-2022-40932 434 2022-09-22 2022-09-23
0.0
None ??? ??? ??? ??? ??? ???
In Zoo Management System v1.0, there is an arbitrary file upload vulnerability in the picture upload point of the "gallery" file of the "Gallery" module in the background management system.
49 CVE-2022-40869 787 Overflow 2022-09-23 2022-09-23
0.0
None ??? ??? ??? ??? ??? ???
Tenda AC15 and AC18 routers V15.03.05.19 contain stack overflow vulnerabilities in the function fromDhcpListClient with a combined parameter "list*" ("%s%d","list").
50 CVE-2022-40868 Overflow 2022-09-23 2022-09-23
0.0
None ??? ??? ??? ??? ??? ???
Tenda W20E router V15.11.0.6 (US_W20EV4.0br_V15.11.0.6(1068_1546_841)_CN_TDC) contains a stack overflow vulnerability in the function formDelDhcpRule with the request /goform/delDhcpRules/
Total number of vulnerabilities : 5589   Page : 1 (This Page)2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112
CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.